Entwurf Ellipse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Ellipse and the translation is 24% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Vorherige: Draft Arc.svg Bogen
Nächste: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Entwurf Ellipse

Menüeintrag
Entwurf → Ellipse
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
E L
Eingeführt in Version
0.7
Siehe auch
Kreis, Bogen

Beschreibung

Das Ellipsen Werkzeug erzeugt eine Ellipse in der aktuellen Arbeitsebene durch Eingabe von zwei Punkten zur Definition der Eckpunkte eines Rechtecks, in das die Ellipse passt. Es verwendet den Entwurf Linienstil festgelegt auf die Entwurf Ablage

Dieses Werkzeug kann auch zur Erstellung von elliptischen Bögen verwendet werden, indem der Start und Endwinkel angegeben wird. Zum Erstellen von Kreisen und Kreisbögen verwende die Werkzeuge Entwurf Kreis und Entwurf Bogen. Du kannst auch eine Ellipsen oder Kreisbogen mit den Werkzeugen Entwurf BSpline und Entwurf BezKurve annähern.

Draft ellipse example.jpg

Ellipse definiert durch die Ecken eines Rechtecks

Anwendung

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Drücke die Draft Ellipse.svg Entwurf Ellipse Taste oder drücke E dann L Tasten.
  2. Klicke einen ersten Punkt in der 3D Ansicht oder

gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.

  1. Klicke einen zweiten Punkt in der 3D Ansicht oder

gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Taste.

Optionen

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Um Koordinaten manuell einzugeben, gib einfach die Ziffern ein, drücke dann Enter zwischen den X, Y und Z Komponenten. YDu kannst die Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken wenn Du die gewünschten Werte zum Einfügen des Punktes hast.
  • Drücke R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten Punkt; wenn nicht, sind sie absolut, ausgehend vom Ursprung (0,0,0).
  • Drücke T oder klicke das Kontrollkästchen an, um den Modus fortsetzen zu aktivieren. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Ellipsenwerkzeug nach dem Beenden der Form neu gestartet, so dass Du eine weitere Form zeichnen kannst, ohne die Werkzeugschaltfläche erneut zu drücken.
  • Drücke L oder klicke auf das Kontrollkästchen, um den Modus "gefüllt" zu aktivieren. Wenn der Modus "gefüllt" aktiviert ist, erzeugt die Ellipse eine gefüllte Fläche (Daten-EigenschaftErstelle Fläche true); wenn nicht, erzeugt die Ellipse keine Fläche (Daten-EigenschaftErstelle Fläche false).
  • Halte STRG während des Zeichnens gedrückt, um Fangen deinen Punkt unabhängig von der Entfernung zur nächsten Fangposition zu zwingen.
  • Halte Umschalten, während du auf Beschränken deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zeichnest.
  • Drücke Esc oder die Schließen Taste, um den aktuellen Befehl abzubrechen.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse.

Eigenschaften

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

Daten

  • Daten-EigenschaftErster Winkel: gibt den Winkel des ersten Punktes der Ellipse an; normalerweise 0°.
  • Daten-EigenschaftLetzter Winkel: gibt den Winkel des letzten Punktes der Ellipse an; normalerweise 0°.
  • Daten-EigenschaftHauptradius: gibt den Hauptradius der Ellipse an; normalerweise 0°.
  • Daten-EigenschaftNebenradius: gibt den kleinen Radius der Ellipse an.
Wenn beide Radien den gleichen Wert haben, sieht die Ellipse wie ein Entwurf Kreis aus.
  • Daten-EigenschaftFläche erzeugen: gibt an, ob die Ellipse eine Fläche erzeugt oder nicht. Ist sie true, wird eine Fläche erzeugt, andernfalls wird nur der Umfang als Teil des Objekts betrachtet. Diese Eigenschaft funktioniert nur, wenn die Form eine Vollellipse ist.

Damit es eine Vollellipse ist, müssen Daten-EigenschaftErster Winkel und Daten-EigenschaftLetzter Winkel den gleichen Wert haben; andernfalls wird ein elliptischer Bogen angezeigt. Die Werte 0° und 360° werden als gleich betrachtet.

View

Draft

Ansicht

  • Ansicht EigenschaftMuster: definiert ein Entwurf Muster, mit dem die Fläche der Form gefüllt wird. Diese Eigenschaft funktioniert nur, wenn Daten-EigenschaftFläche erstellen true ist und Ansicht EigenschaftAnzeigemodus auf "Ebene Linien" gesetzt ist.
  • Ansicht EigenschaftMustergröße: gibt die Größe des Entwurf Muster an.

Scripting

Skripten

Siehe auch: Entwurf API und FreeCAD Grundlagen Skripten.

Das Ellipsenwerkzeug kann in Makros und aus der Python Konsole heraus durch folgende Funktion verwendet werden:

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Erzeugt ein Ellipse Objekt mit gegebenem Haupt- ({incode|majradius}) und Nebenradius (minradius) in Millimetern.
    • Der größere Wert wird für den Hauptradius (X Achse) verwendet, wenn keine andere Platzierung angegeben ist.
  • Wenn ein placement angegeben wird, wird er verwendet; andernfalls wird die Form am Ursprung erzeugt.
  • Wenn Fläche True ist, wird die Ellipse eine Fläche bilden, d.h. sie wird gefüllt erscheinen.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()


Arrow-left.svg Vorherige: Draft Arc.svg Bogen
Nächste: Polygon Draft Polygon.svg Arrow-right.svg